#
# spec file for package xchat (Version 2.0.7)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gnome2-devel-packages gtk2-devel-packages libpng libpng-devel openssl openssl-devel python python-devel tcl tcl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libpng libpng-devel libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel python python-devel rpm tcl tcl-devel update-desktop-files

Name:         xchat
License:      GPL
Group:        Productivity/Networking/IRC
Summary:      An IRC Client
Version:      2.0.7
Release:      96.3
Source:       http://xchat.org/files/source/2.0/%name-%version.tar.bz2
Patch:        %name-%version-gettext.diff
Patch1:       %name-%version-tabs_outgoing_msg.patch
Patch2:       %name-%version-automake-foreign.diff
Patch3:       xchat-url-resolvers.dif
Patch4:       xchat-susefont.dif
Patch5:       %name-%version-socks5buf.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://xchat.org
%define prefix /opt/gnome

%description
X-Chat is yet another IRC client for the X Window System.  It uses the
Gtk+ toolkit. It is easy to use compared to the other Gtk+ IRC clients
and it has a nicely designed interface.



Authors:
--------
    Peter Zelezny <zed@linux.com>

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure	--prefix=%prefix \
		--libdir=%prefix/%_lib \
		--disable-panel \
		--enable-python \
		--enable-perl \
		--enable-tcl \
		--enable-openssl \
		--enable-japanese-conv \
		--enable-ipv6 \
		--enable-zvt \
		--enable-gnome
make

%install
rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%prefix
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file %name IRCClient

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS README* COPYING ChangeLog faq.html INSTALL
%attr(755,root,root) %prefix/bin/*
%prefix/%_lib/xchat
%prefix/share/locale/*/*/*
%prefix/share/applications/xchat.desktop
%prefix/share/pixmaps/xchat.png

%changelog -n xchat
* Wed Apr 21 2004 - mmj@suse.de
- Fix SOCKS5 buffer overflow [#39184]
* Tue Mar 30 2004 - hhetter@suse.de
- use no-strict-aliasing
- remove the gnome-url-handler patch as it completely disables
  urlhandlers.conf, and we run xchat in other environments too
  (#37344)
- add a Epiphany url handler into the default urlhandlers.conf
  (#37344)
- make SUSE Sans Mono 10 the default font in xchat (#37287), thx
  mmj
* Wed Feb 25 2004 - hhetter@suse.de
- apply gnome-url-handler patch: enable gnome support,
  add url handlers for gnome browsers
* Mon Jan 05 2004 - mmj@suse.de
- Update to 2.0.7 including:
  o Updated translations (fi, nl).
  o Fixed dcc psend crash
  o Fixed bug where an error message was erroneously displayed while
  transfering files with fastosend turned off. Also, allow fastsend
  to be used with psend
  o Fixed notify's Lastseen column for offline users
  o Report more informative error when DCC write to disk fails
  o Fixed crash when xchat.conf contains oversized strings
* Sat Dec 13 2003 - mmj@suse.de
- Apply fix from author to avoid remote DCC crash [#33633]
* Tue Dec 02 2003 - mmj@suse.de
- Update to 2.0.6 including:
  o Updated translations (de, lt, sl, sr).
  o Fixed detection of Python on amd64
  o Don't loose editbox contents when pressing up, then down arrow
  o Fixed missing dcc flag on new ignores via gui.
  o Fixed missing separator bar on PseudoColor displays.
  o Fixed some 64-bit issues
  o Apply tint changes instantly.
  o Fixed DCC resume with mirc >= 6.1.
  o Python plugin changes:
  * Fixed the reentrancy problem which made xchat freeze when
  some python code made xchat trigger a python callback
  somewhere.
  * Implemented xchat_emit_print() and xchat_get_prefs() support.
  * Fixed softspace support for python 2.3. This problem was
  making print statements yield an extra space at the next
  line start.
  * Other minor changes.
  o Fixed request of a MODE on a channel you're not in changing
  the current titlebar
  o Restored compatibility with older Perl that lacks call_pv().
  o Use sigaction inplace of signal() for better compatibility.
  o Win32: Don't try to open logfiles with a "\" in them, windows
  wont allow it. Instead, the "\" is replaced by a "_".
  o Backported HTTP authentication code from 1.8.11 (you can now
  specify a username and password for HTTP proxies).
  o When beep on highlight is on, beep on channel actions too
  o Added active dcc send feature (/dcc PSEND). More info here:
  http://mail.nl.linux.org/xchat odiscuss/2003-10/msg00124.html
  o URL Handlers menu now removes programs that arn't in PATH.
  o Added "away" users field for plugin API.
  o Smaller bug fixes
* Wed Oct 15 2003 - mmj@suse.de
- Do not build as root
* Thu Sep 25 2003 - mmj@suse.de
- Update to xchat-2.0.5 including:
  o Updated translations (ca, fi, lt, nl, sk, sv, zh_CN).
  o DCC Send file-selection dialog now supports multi-select.
  o Reset away status after auto-reconnect from a ping timeout.
  o Perl: Fixed IRC::user_info always matching the first entry.
  o More C89 fixes for non-gcc compilers
  o xtext: now double buffered and flicker free. Also some
  efficiency tweaks for exposure events and multiowrapped lines.
  o Removed buggy numeric 338 support
  o Nick completion in dialogs and channel completion
  o Print informative error messages when dcc resume isn't
  possible.
  o Fixed performance of dcc recv, send and chat windows.
  o Fixed tab-arrow buttons show/hide
  o Fixed lastlog bugs
  o win32: Faster tinting, and uses MMX when in 16 or 32bit color.
  o Execute /sigusr2 on receiving SIGUSR2 signal
  o /IGNORE command and window now have an extra "DCC" category.
  o Alert user when logfiles fail to open
  o Fixed missing underlining of IP numbers (2.0.4 only).
  o Allow accepting DCC sends from ports below 1024.
  o Connect to URL given on commandline even if 'No Serverlist on
  Startup' is off.
  o Fixed problem in allocating colors while in 8bit PseudoColor.
  o xtext: tinting now shades towards your background color, making
  it usable with white backgrounds. Tints can also use XShm for
  extra speed with o-enable-shm at ./configure time
  (experimental).
  o Perl: IRC::add_print_handler callbacks now get parameters in
  $_[1...x], with $_[0] left for compatibility
  o Perl: added command_with_channel command
  o Smaller bug fixes
* Fri Aug 08 2003 - mmj@suse.de
- Update to 2.0.4 including:
   Updated translation
   Lots of bugfixes
   Users away are now different color in the userlist
   /GUI command (mainly for use by scripts)
* Tue Aug 05 2003 - mmj@suse.de
- Don't strip explicitly
- Cleanup a bit
* Tue Aug 05 2003 - adrian@suse.de
- add IRCClient to Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 07 2003 - mcihar@suse.cz
- fixed getting of python paths
* Wed Jul 02 2003 - mmj@suse.de
- Add late fix from the author
* Mon Jun 30 2003 - sbrabec@suse.cz
- Updated to version 2.0.3.
- Worked around bad searching of python.
* Thu Jun 19 2003 - mmj@suse.de
- Build with current gettext
* Wed Apr 23 2003 - mmj@suse.de
- Update to xchat-2.0.2
* Fri Apr 04 2003 - sf@suse.de
- change lib->%%_lib to find libpython
* Mon Mar 03 2003 - mmj@suse.de
- Update to 2.0.1 which features extra translations plus the huge
  amount of bugfixes which always comes in the first release after
  a major point release.
* Mon Feb 17 2003 - mmj@suse.de
- Package the plugins that got removed by accident
- Small specfile cleanup
* Sun Feb 16 2003 - mmj@suse.de
- Fix build on x86-64
* Tue Feb 11 2003 - mmj@suse.de
- Upgrade to final 2.0.0 release
- Reenable python since quite some bugfixes went in
- Default "Announce away messages" to off
* Mon Feb 10 2003 - mmj@suse.de
- Update to 2.0.0 release candidate 1.
* Mon Jan 27 2003 - mmj@suse.de
- Implement a feature to have xchat open a new tab on outgoing msg.
* Mon Jan 27 2003 - mmj@suse.de
- Disable the python plugin again, since it's broken still.
* Sun Jan 26 2003 - mmj@suse.de
- Update to the first 2.0 prerelease, 2.0.0-pre1 and enable new tcl
  plugin
* Thu Jan 23 2003 - meissner@suse.de
- make python support not break on lib64 systems.
* Mon Jan 20 2003 - mmj@suse.de
- made python support compile
* Mon Jan 20 2003 - mmj@suse.de
- Added gtk2-devel-packages to neededforbuild to make the GUI
  frontend build
* Thu Jan 09 2003 - mmj@suse.de
- Move it to /opt/gnome2 instead
* Wed Jan 01 2003 - mmj@suse.de
- Update to 1.9.8
* Fri Dec 13 2002 - mmj@suse.de
- Update to 1.9.7
* Mon Dec 02 2002 - mmj@suse.de
- Update to 1.9.6
- Add AM_GNU_GETTEXT_VERSION patch
* Mon Nov 18 2002 - mmj@suse.de
- Update to the stabilizing devel series 1.9.5, now with gtk2
* Thu Nov 14 2002 - mmj@suse.de
- Get rid of some dependency hell. It removes some features, but
  this is a chat client, and it should not require a complete SuSE
  Linux install.
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Aug 08 2002 - mmj@suse.de
- Update to 1.8.10 which is a maintenance release.
* Mon Jul 08 2002 - mmj@suse.de
- Added patch for wrong len in notify.c
* Tue May 21 2002 - mmj@suse.de
- Updated to 1.8.9 which includes a few bug fixes, some new
  translations and a fix for the /dns security (non)issue.
* Tue Apr 16 2002 - mmj@suse.de
- Fixed to own %%{prefix}/share/locale/*/*
* Fri Apr 12 2002 - mmj@suse.de
- Updated to version 1.8.8 which include following improvements:
  o Translations updated
  o Fixed history OBO error (We had that fix in the 1.8.7 version,
  which was included in 8.0)
  o Fixed NLS not working properly under non-gnome build
  o Backported 64-bit fixes from 1.9.1.
  o Auto detect socklen_t.
  o Make nick completion work when completion-char is set blank.
  o Avoid crash when /set truncchans too low.
  o win32: Made a built-in OpenURL function that should work on NT
  o Fixed ConnectCmd not being executed after a second connect
  through the serverlist.
  o Use nicksuffix prefs in middle-click userlist.
  o Fixed recursive wildcard match in /dcc send
* Thu Jan 17 2002 - mmj@suse.de
- Added patch to fix History problems
* Thu Jan 17 2002 - mmj@suse.de
- Updated to xchat-1.8.7
* Fri Nov 30 2001 - mmj@suse.de
- Updated to xchat-1.8.6
* Thu Nov 01 2001 - stepan@suse.de
- added bugfix for "leave channels on exit" bug, when using
  a bouncer.
* Mon Oct 29 2001 - mmj@suse.de
- Added two new configurable features:
  o auto_unmark_away - when enabled you will automatically be
  unmarked away when you start chatting. Default on.
  o beep_on_hightligt - when enabled it will beep when highlight-
  ing occurs. Default off.
* Fri Oct 26 2001 - mmj@suse.de
- Update to 1.8.5
* Sun Oct 14 2001 - mmj@suse.de
- Update to 1.8.4
* Sun Sep 23 2001 - olh@suse.de
- make the defaults more useable for SuSE Linux
* Wed Aug 29 2001 - grimmer@suse.de
- update to 1.8.3 (bugfixes and updated translations)
- changed prefix from /usr to /opt/gnome [#9921]
* Wed Aug 01 2001 - grimmer@suse.de
- update to 1.8.2
* Wed Jul 11 2001 - mmj@suse.de
- update to new STABLE 1.8.0
* Wed Jun 20 2001 - mfabian@suse.de
- update to 1.7.7 (considerably improved Japanese support)
  xchat-1.6.4-fontset.patch and xchat-1.6.4-zh_TW.Big5.po.patch
  removed, they are obsolete.
* Thu Apr 19 2001 - mfabian@suse.de
- fix zh_TW.Big5.po for gettext 0.10.36. I don't know Chinese,
  but the changes were trivial (remove extra backslashes needed
  as a workaround for gettext 0.10.35), so it should
  be correct.
* Mon Apr 09 2001 - grimmer@suse.de
- update to 1.6.4
  (bugfixes, see ChangeLog at http://www.xchat.org/changelog.txt)
* Tue Mar 20 2001 - uli@suse.de
- added esound-devel to neededforbuild
* Wed Feb 07 2001 - grimmer@suse.de
- update to 1.6.3 (thanks to Mads for nagging me about this)
- added SSL support
- adjusted fontset patch
- minor spec file corrections
* Sun Jan 21 2001 - violiet@suse.de
- added simple fontset patch to display Japanese and Korean correctly
  in the text widget.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 - ro@suse.de
- renamed struct user to struct User ...
* Tue Aug 29 2000 - grimmer@suse.de
- update to 1.4.3 (Bugfixes and security fix)
* Sun May 28 2000 - olh@suse.de
- update to 1.4.2
  cut down the interface ...
* Thu Feb 17 2000 - grimmer@suse.de
- no update to 1.4.0 yet (crashed immediately)
- use build root
- use version macro
- spec file cleanups
* Wed Nov 17 1999 - grimmer@suse.de
- initial package (Version 1.2.1)
